<form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
<div class="main-content pad">
    <div class="container-fluid">
	    <div class="row">
	        <div class="col-md-8">
	            <div class="card">
	                <div class="card-header card-header-rose card-header-icon">
		                <div class="card-icon"><i class="material-icons">content_copy</i></div>
						<h4 class="card-title"><span>Generate Tagihan</span></h4>
					</div>
				    <jhi-alert-error></jhi-alert-error>
				
				    <jhi-alert></jhi-alert>
			
				    <div class="card-body">
					    <div class="row">
					    	<div class="col-4">
				                <div class="form-group">
				                    <label class="form-control-label" jhiTranslate="sisteminformasiakademikApp.besarBayar.jenisBayar" for="field_jenisBayar">Jenis Bayar</label>
				                    <select class="form-control" id="field_jenisBayar" name="jenisBayar" formControlName="jenisBayar">
				                        <option [ngValue]="jenisPembayaranOption.id === editForm.get('jenisBayar')!.value?.id ? editForm.get('jenisBayar')!.value.jenis : jenisPembayaranOption.jenis" *ngFor="let jenisPembayaranOption of jenispembayarans;">{{ jenisPembayaranOption.jenis }}</option>
				                    </select>
				                </div>
					    	</div>
					    	<div class="col-4">
				                <div class="form-group">
				                    <label class="form-control-label" for="field_date">Tanggal</label>
				                    <div class="d-flex">
				                        <input id="field_date" type="date" class="form-control" name="date" formControlName="date" placeholder="YYYY-MM-DD"/>
				                    </div>
				                </div>
					    	</div>
					    	<div class="col-4">
					              <div class="form-group">
					                  <label class="form-control-label" for="">Sistem Tagihan</label>
					                  <select class="form-control" name="sistem" formControlName="sistem" id="field_sistem">
					                      <option value="true">BULANAN</option>
					                      <option value="false">KHUSUS</option>
					                  </select>
					              </div>
					         </div>
					    </div>
					    <div class="row">
					    	<div class="col-8">
				                <div class="form-group">
				                    <label class="form-control-label" for="field_tempo">Maksimal Tanggal Pembayaran</label>
				                    <div class="d-flex">
				                        <input id="field_tempo" type="date" class="form-control" name="tempo" formControlName="tempo" placeholder="YYYY-MM-DD"/>
				                        
					                    <button mat-raised-button type="button" id="save-entity" class="btn btn-danger btn-round btn-just-icon" (click)="cleardate()">
				                     		&nbsp;&nbsp;&nbsp;<i class="material-icons">delete</i>
				               			</button>
				                    </div>
				                </div>
					    	</div>
					    </div>
					    <div class="row">
					    	<div class="col-12">
				               <div class="form-group">
				                    <label class="form-control-label" for="field_alamat">Tambahan Redaksi Notifikasi&nbsp;<span class="required">*</span></label>
				                    <textarea id="redaksi" rows="2" cols="70" formControlName="redaksi" class="form-control" name="redaksi"></textarea>
				                </div>
							</div>
					    </div>
					    <!-- <div class="row">
					    	<div class="col-6">
					              <div class="form-group">
					                  <label class="form-control-label" for="">Sistem Pembayaran</label>
					                  <select class="form-control" name="sistemBayar" formControlName="sistemBayar" id="field_sistemBayar" (ngModelChange)="optionSearch()">
					                      <option value="true">ANGSURAN</option>
					                      <option value="false">FULL</option>
					                  </select>
					              </div>
					    	</div>
					    	<div class="col-6" *ngIf="searchOption =='true'">
				                <div class="form-group">
				                    <label class="form-control-label" for="field_besarPerBulan">Besar Pembayaran Per Bulan</label>
				                    <input type="text" class="form-control" name="besarPerBulan" id="field_besarPerBulan"
				                           formControlName="besarPerBulan"/>
				                </div>
					    	</div>
					    </div> -->
					    <br>
			            <div class="text-center"> 
			                <button mat-raised-button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-success btn-fill">
			                     <i class="material-icons">save</i>&nbsp;<span>Buat Tagihan</span>
			                </button>
			            </div>
					    <br>
					    <br>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
</form>
